// scss-lint:disable Comment
/*
This file was compiled with SCSS.
To view the sources of this file visit https://gitlab.com/valeth/wanikani-breeze-dark
*/

@import 'helpers/variables';
@import 'helpers/colors';
@import 'helpers/functions';
@import 'helpers/mixins';

@-moz-document domain(www.wanikani.com) {
    @import 'helpers/placeholders';

    // ### Main ###
    * {
        text-shadow: none !important;
    }

    body {
        @extend %main-background;

        color: $text-color;
    }

    p, pre, strong, small, li, time, h1, h2, h3, h4, label, i {
        color: $text-color !important;
    }

    a {
        color: $plasma-blue;
        text-shadow: none !important;
    }

    hr {
        border-color: $separator-color !important;
    }

    footer {
        a {
            color: $text-color !important;
        }
    }

    // removes some white blobs
    .bg-white {
        background-color: inherit;
    }

    [class^="border-gray"] {
        border-color: $separator-color;
    }

    // ### HTML Elements ###
    @import 'components/blockquote';
    @import 'components/button';
    @import 'components/input';
    @import 'components/select';
    @import 'components/table';
    @import 'components/textarea';

    // ### WaniKani Site Components ###
    @import 'components/alert';
    @import 'components/character_grid';
    @import 'components/dropdown';
    @import 'components/legend';
    @import 'components/navbar';
    @import 'components/page_list';
    @import 'components/popover';
    @import 'components/progressbar';
    @import 'components/searchbar';
    @import 'components/user_note';
    @import 'components/user_synonyms';
    @import 'components/icon';
    @import 'components/highlight';
    @import 'components/characters';
    @import 'components/footer';

    // ### Pages ###
    @import 'pages/account';
    @import 'pages/api';
    @import 'pages/dashboard';
    @import 'pages/item_info';
    @import 'pages/lattice';
    @import 'pages/level_info';
    @import 'pages/login';
    @import 'pages/settings';
    @import 'pages/session';
    @import 'pages/profile';

    // Replacements for userstyles.org, defaults to the dark version
    // scss-lint:disable Comment
    /*[[review-char-bg]]*/

    // ### Userscripts ###
    @import 'userscripts/wanikani_open_framework';
    @import 'userscripts/lesson_reorder';
    @import 'userscripts/wk_improve';
    @import 'userscripts/wk_reorder_ultimate_2';
    @import 'userscripts/ultimate_timeline';
    @import 'userscripts/wk_dashboard_progress_plus';
    @import 'userscripts/srs_grid';
    @import 'userscripts/wk_override';
    @import 'userscripts/wk_item_marker';
    @import 'userscripts/wk_lesson_cap';
    @import 'userscripts/wk_stroke_order_diagram';
    @import 'userscripts/wk_leech_trainer';
    @import 'userscripts/vocabulary_for_wanikani';
    @import 'userscripts/phonetic_semantic_composition';
}
